   
      SUBROUTINE C_pro_NK(N,K,Matr_pro,Matr_NK)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     C_pro_NK.f :: it take as input 2 INTEGER numbers N and K and a (N*K)x(N*K)
C     COMPLEX matrix and return as output the same matrix, now of dimension NxKxNxK.
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	COMPLEX Matr_pro(N*K,N*K), Matr_NK(N,K,N,K)
	
      Matr_NK=RESHAPE(Matr_pro,(/N,K,N,K/),(/(0.,0.)/),(/2,1,4,3/))

      RETURN
      END
